## kate 20.08.2

=== debian/changelog ===
kate (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:37 +0100

kate (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:50:43 +0100

kate (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 22:56:16 +0200

kate (4:20.04.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - properly start the ctags process (Closes: #959957)
  * Add Rules-Requires-Root: no.

 -- Pino Toscano <pino@debian.org>  Sat, 06 Jun 2020 21:31:35 +0200

kate (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5syntaxhighlighting-dev
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - switch from dh_install to dh_missing for --fail-missing
  * Update install files.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Use https for the Homepage.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Apr 2020 13:54:01 +0200

=== debian/control ===
Source: kate
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.40.0~),
               gettext,
               kinit-dev (>= 5.6.0~),
               libkf5activities-dev (>= 5.40.0~),
               libkf5config-dev (>= 5.40.0~),
               libkf5crash-dev (>= 5.40.0~),
               libkf5dbusaddons-dev (>= 5.40.0~),
               libkf5doctools-dev (>= 5.10.0~),
               libkf5guiaddons-dev (>= 5.40.0~),
               libkf5i18n-dev (>= 5.40.0~),
               libkf5iconthemes-dev (>= 5.40.0~),
               libkf5itemmodels-dev (>= 5.40.0~),
               libkf5jobwidgets-dev (>= 5.40.0~),
               libkf5kio-dev (>= 5.40.0~),
               libkf5newstuff-dev (>= 5.40.0~),
               libkf5parts-dev (>= 5.40.0~),
               libkf5plasma-dev (>= 5.40.0~),
               libkf5service-dev (>= 5.40.0~),
               libkf5syntaxhighlighting-dev (>= 5.40.0~),
               libkf5texteditor-dev (>= 5.40.0~),
               libkf5threadweaver-dev (>= 5.40.0~),
               libkf5wallet-dev (>= 5.40.0~),
               libkf5windowsystem-dev (>= 5.40.0~),
               libkf5xmlgui-dev (>= 5.40.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://kate-editor.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kate.git

Package: kate
Section: editors
Architecture: any
Depends: kate5-data (>= ${source:Version}),
         ktexteditor-katepart,
         plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sonnet-plugins
Suggests: khelpcenter, konsole-kpart, git, subversion, mercurial, darcs, exuberant-ctags
Description: powerful text editor
 Kate is a powerful text editor that can open multiple files simultaneously.
 .
 With a built-in terminal, syntax highlighting, and tabbed sidebar, it performs
 as a lightweight but capable development environment.  Kate's many tools,
 plugins, and scripts make it highly customizable.
 .
 Kate's features include:
 .
  * Multiple saved sessions, each with numerous files
  * Scriptable syntax highlighting, indentation, and code-folding
  * Configurable templates and text snippets
  * Symbol viewers for C, C++, and Python
  * XML completion and validation

Package: kate5-data
Architecture: all
Depends: ${misc:Depends}
Replaces: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
Breaks: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
Description: shared data files for Kate text editor
 This package contains the architecture-independent shared data files needed
 for Kate editor

Package: kwrite
Section: editors
Architecture: any
Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
Breaks: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Replaces: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
Description: simple text editor
 KWrite is a simple text editor built on the KDE Platform. It uses the Kate
 editor component, so it supports powerful features such as flexible syntax
 highlighting, automatic indentation, and numerous other text tools.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kate 20.12.2

=== CMakeLists.txt ===
# 3.1 is required for `target_sources`.
cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kate VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.10.0")
set(KF5_DEP_VERSION "5.40.0")

# We need some parts of the ECM CMake helpers.
find_package(ECM ${KF5_DEP_VERSION} QUIET REQUIRED NO_MODULE)

# We append to the module path so modules can be overridden from the command line.
list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Allow adding Qt resource files with `add_executable` or `target_sources` instead of
# `qt5_add_resources`. See https://cmake.org/cmake/help/v3.0/manual/cmake-qt.7.html#autorcc.
set(CMAKE_AUTORCC ON)

include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)

include(ECMOptionalAddSubdirectory)
include(ECMAddAppIcon)
include(ECMInstallIcons)

include(FeatureSummary)

# forbid some old things
add_definitions(-DQT_NO_FOREACH)

# Required here so that the version comparison below works
find_package(Qt5Widgets ${QT_MIN_VERSION} CONFIG REQUIRED)

# Required here so that the ki18n_install/kdoctools_install calls injected by
# the release scripts work.
find_package(KF5 ${KF5_DEP_VERSION}
    REQUIRED COMPONENTS
        I18n
    OPTIONAL_COMPONENTS
        DocTools
)

# Qt 5.13 deprecated QComboBox::currentIndexChanged(QString) and Qt 5.14 undid that...
if (NOT Qt5Widgets_VERSION VERSION_LESS 5.14.0)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
endif()

ecm_optional_add_subdirectory(addons)
ecm_optional_add_subdirectory(kwrite)
ecm_optional_add_subdirectory(kate)
ecm_optional_add_subdirectory(doc)

feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# this needs at least ECM 5.64...
if(${ECM_VERSION} VERSION_GREATER "5.63.0")
    include(KDEClangFormat)

    # add clang-format target for all our real source files
    file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== kate/CMakeLists.txt ===
# We use an intermediate static library because linking tests directly to an executable is not
# possible with CMake yet.
add_library(kate-lib STATIC "")

configure_file(config.h.in config.h)

include(GenerateExportHeader)
generate_export_header(
  kate-lib
  EXPORT_FILE_NAME katetests_export.h
  EXPORT_MACRO_NAME KATE_TESTS_EXPORT
)

target_include_directories(
  kate-lib
  PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/session
    ${CMAKE_CURRENT_SOURCE_DIR}/qtsingleapplication
    ${CMAKE_CURRENT_BINARY_DIR} # katetests_export.h + config.h
)

find_package(
  KF5 ${KF5_DEP_VERSION}
  QUIET
  REQUIRED
  COMPONENTS
    TextEditor
    WindowSystem
    DBusAddons
    Crash
  OPTIONAL_COMPONENTS
    Activities
)

target_link_libraries(
  kate-lib
  PUBLIC
    KF5::TextEditor
    KF5::WindowSystem
    KF5::DBusAddons
    KF5::Crash
)

if(KF5Activities_FOUND)
  target_link_libraries(kate-lib PUBLIC KF5::Activities)
endif()

# optional KUserFeedback integration
find_package(KUserFeedback)
if (TARGET KUserFeedbackWidgets)
    target_link_libraries(kate-lib PUBLIC KUserFeedbackWidgets)
    target_compile_definitions(kate-lib PUBLIC -DWITH_KUSERFEEDBACK)
endif()

ki18n_wrap_ui(UI_SOURCES ui/sessionconfigwidget.ui session/katesessionmanagedialog.ui)
target_sources(kate-lib PRIVATE ${UI_SOURCES})

target_sources(
  kate-lib
  PRIVATE
    data/kate.qrc

    session/katesession.cpp
    session/katesessionmanagedialog.cpp
    session/katesessionmanager.cpp
    session/katesessionsaction.cpp

    kateapp.cpp
    kateappadaptor.cpp
    katecolorschemechooser.cpp
    kateconfigdialog.cpp
    kateconfigplugindialogpage.cpp
    katedocmanager.cpp
    katefileactions.cpp
    katemainwindow.cpp
    katemdi.cpp
    katemwmodonhddialog.cpp
    katepluginmanager.cpp
    katequickopen.cpp
    katequickopenmodel.cpp
    katerunninginstanceinfo.cpp
    katesavemodifieddialog.cpp
    katetabbar.cpp
    kateviewmanager.cpp
    kateviewspace.cpp
    katewaiter.cpp
)

# Executable only adds the main definition.
add_executable(kate-bin main.cpp)
target_link_libraries(kate-bin PRIVATE kate-lib)

# Use a single application on MacOS + Windows instead of dbus.
if(APPLE OR WIN32)
  target_compile_definitions(kate-bin PRIVATE USE_QT_SINGLE_APP)

  target_sources(
    kate-lib
    PRIVATE
      qtsingleapplication/qtlocalpeer.cpp
      qtsingleapplication/qtsingleapplication.cpp
      qtsingleapplication/qtlockedfile.cpp
  )

  if(WIN32)
    target_sources(kate-lib PRIVATE qtsingleapplication/qtlockedfile_win.cpp)
  else()
    target_sources(kate-lib PRIVATE qtsingleapplication/qtlockedfile_unix.cpp)
  endif()
endif()

# application icon, in all sizes needed to have e.g. nice Windows icons, too
set(ICON_FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kate.svg
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/44-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/150-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/256-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/310-apps-kate.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/512-apps-kate.png
)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICON_FILES})
target_sources(kate-bin PRIVATE ${ICONS_SOURCES})

set_property(
  TARGET kate-bin
  PROPERTY OUTPUT_NAME kate
)

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
  set_property(
    TARGET kate-bin
    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
  )

  # These are substituted by CMake into plist.in.
  set(MACOSX_BUNDLE_DISPLAY_NAME "Kate")
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Kate")
  set(MACOSX_BUNDLE_BUNDLE_NAME "Kate")
  set(MACOSX_BUNDLE_DISPLAY_NAME "Kate")
  set(MACOSX_BUNDLE_INFO_STRING "Kate - Advanced Text Editor")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "Kate ${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_COPYRIGHT "2000-2016 The Kate Authors")
endif()

install(TARGETS kate-bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_install_icons(
  ICONS ${ICON_FILES}
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

install(
  PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kate.appdata.xml
  DESTINATION ${CMAKE_INSTALL_METAINFODIR}
)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

=== kwrite/CMakeLists.txt ===
add_executable(kwrite "")

configure_file(config.h.in config.h)
target_include_directories(kwrite PRIVATE ${CMAKE_CURRENT_BINARY_DIR}) # config.h

find_package(
  KF5 ${KF5_DEP_VERSION}
  QUIET
  REQUIRED
  COMPONENTS
    TextEditor
    DBusAddons
    Crash
  OPTIONAL_COMPONENTS
    Activities
)

target_link_libraries(
  kwrite
  PUBLIC
    KF5::TextEditor
    KF5::DBusAddons
    KF5::Crash
)

if(KF5Activities_FOUND)
  target_link_libraries(kwrite PUBLIC KF5::Activities)
endif()

set(ICONS_PNG
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/16-apps-kwrite.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/22-apps-kwrite.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/32-apps-kwrite.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/48-apps-kwrite.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/64-apps-kwrite.png
  ${CMAKE_CURRENT_SOURCE_DIR}/icons/128-apps-kwrite.png
)

set(ICONS_SVG ${CMAKE_CURRENT_SOURCE_DIR}/icons/sc-apps-kwrite.svgz)

# Add icon files to the application's source files to have CMake bundle them in the executable.
ecm_add_app_icon(ICONS_SOURCES ICONS ${ICONS_PNG})
target_sources(kwrite PRIVATE ${ICONS_SOURCES})

target_sources(
  kwrite
  PRIVATE
    data/kwrite.qrc
    kwrite.cpp
    kwriteapplication.cpp
    main.cpp
)

# See https://cmake.org/cmake/help/v3.15/prop_tgt/MACOSX_BUNDLE_INFO_PLIST.html
if(APPLE)
  set_property(
    TARGET kwrite
    PROPERTY MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/data/MacOSXBundleInfo.plist.in
  )

  # These are substituted by CMake into plist.in.
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.KWrite")
  set(MACOSX_BUNDLE_BUNDLE_NAME "KWrite")
  set(MACOSX_BUNDLE_DISPLAY_NAME "KWrite")
  set(MACOSX_BUNDLE_INFO_STRING "KWrite - Text Editor")
  set(MACOSX_BUNDLE_LONG_VERSION_STRING "KWrite ${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${RELEASE_SERVICE_VERSION}")
  set(MACOSX_BUNDLE_COPYRIGHT "2000-2020 The KWrite Authors")
endif()

install(TARGETS kwrite ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.desktop
  DESTINATION ${KDE_INSTALL_APPDIR}
)

install(
  FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kwrite.appdata.xml
  DESTINATION ${CMAKE_INSTALL_METAINFODIR}
)

ecm_install_icons(
  ICONS ${ICONS_PNG} ${ICONS_SVG}
  DESTINATION ${ICON_INSTALL_DIR}
  THEME hicolor
)

=== addons/close-except-like/CMakeLists.txt ===
add_library(katecloseexceptplugin MODULE "")
target_compile_definitions(katecloseexceptplugin PRIVATE TRANSLATION_DOMAIN="katecloseexceptplugin")

target_link_libraries(
  katecloseexceptplugin
  PRIVATE
    KF5::TextEditor
)

ki18n_wrap_ui(UI_SOURCES close_confirm_dialog.ui)
target_sources(katecloseexceptplugin PRIVATE ${UI_SOURCES})

target_sources(
  katecloseexceptplugin
  PRIVATE
    close_confirm_dialog.cpp
    close_except_plugin.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json(katecloseexceptplugin katecloseexceptplugin.desktop)
install(TARGETS katecloseexceptplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/externaltools/CMakeLists.txt ===
if(${KF5TextEditor_VERSION} VERSION_LESS "5.63.0")
    return()
endif()

find_package(KF5I18n ${KF5_DEP_VERSION} QUIET)
if(NOT KF5I18n_FOUND)
    return()
endif()

find_package(KF5IconThemes ${KF5_DEP_VERSION} QUIET)
if(NOT KF5IconThemes_FOUND)
    return()
endif()

find_package(Qt5Test ${QT_MIN_VERSION} QUIET REQUIRED)

add_library(externaltoolsplugin MODULE "")
target_compile_definitions(externaltoolsplugin PRIVATE TRANSLATION_DOMAIN="kateexternaltoolsplugin")
target_link_libraries(externaltoolsplugin PRIVATE
    KF5::CoreAddons
    KF5::IconThemes
    KF5::TextEditor
    KF5::I18n
)

ki18n_wrap_ui(UI_SOURCES configwidget.ui
    tooldialog.ui
    toolview.ui
)

target_sources(
  externaltoolsplugin
  PRIVATE
    externaltoolsplugin.cpp
    kateexternaltoolsview.cpp
    katetoolrunner.cpp
    kateexternaltool.cpp
    kateexternaltoolscommand.cpp
    kateexternaltoolsconfigwidget.cpp
    plugin.qrc
    ${UI_SOURCES}
)

kcoreaddons_desktop_to_json (externaltoolsplugin externaltoolsplugin.desktop)
install(TARGETS externaltoolsplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor )

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== addons/filebrowser/CMakeLists.txt ===
find_package(KF5KIO ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5KIO PROPERTIES PURPOSE "Required to build the filebrowser addon")

if(NOT KF5KIO_FOUND)
  return()
endif()

add_library(katefilebrowserplugin MODULE "")
target_compile_definitions(katefilebrowserplugin PRIVATE TRANSLATION_DOMAIN="katefilebrowserplugin")

target_link_libraries(
  katefilebrowserplugin 
  PRIVATE
    KF5::TextEditor 
    KF5::KIOFileWidgets
)

target_sources(
  katefilebrowserplugin
  PRIVATE
    katefilebrowserplugin.cpp
    katefilebrowserconfig.cpp
    katefilebrowser.cpp
    katebookmarkhandler.cpp
    katefilebrowseropenwithmenu.cpp
)

kcoreaddons_desktop_to_json(katefilebrowserplugin katefilebrowserplugin.desktop)
install(TARGETS katefilebrowserplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/katebuild-plugin/CMakeLists.txt ===
add_library(katebuildplugin MODULE "")
target_compile_definitions(katebuildplugin PRIVATE TRANSLATION_DOMAIN="katebuild-plugin")
target_link_libraries(katebuildplugin PRIVATE KF5::TextEditor)

ki18n_wrap_ui(UI_SOURCES build.ui SelectTargetUi.ui)
target_sources(katebuildplugin PRIVATE ${UI_SOURCES})

target_sources(
  katebuildplugin
  PRIVATE
    plugin_katebuild.cpp
    targets.cpp
    TargetHtmlDelegate.cpp
    TargetModel.cpp
    UrlInserter.cpp
    SelectTargetView.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json (katebuildplugin katebuildplugin.desktop)
install(TARGETS katebuildplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/katesql/CMakeLists.txt ===
find_package(KF5Wallet ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5Wallet PROPERTIES PURPOSE "Required to build the katesql addon")

find_package(Qt5Sql ${QT_MIN_VERSION} QUIET)
set_package_properties(Qt5Sql PROPERTIES PURPOSE "Required to build the katesql addon")

if(NOT KF5Wallet_FOUND OR NOT Qt5Sql_FOUND)
  return()
endif()

add_library(katesqlplugin MODULE "")
target_compile_definitions(katesqlplugin PRIVATE TRANSLATION_DOMAIN="katesql")

target_link_libraries(
  katesqlplugin 
  PRIVATE
    KF5::TextEditor
    KF5::Wallet
    Qt5::Sql
)

target_sources(
  katesqlplugin
  PRIVATE
    katesqlplugin.cpp
    katesqlview.cpp
    connectionmodel.cpp
    sqlmanager.cpp
    cachedsqlquerymodel.cpp
    dataoutputmodel.cpp
    dataoutputview.cpp
    dataoutputwidget.cpp
    textoutputwidget.cpp
    schemawidget.cpp
    schemabrowserwidget.cpp
    connectionwizard.cpp
    katesqlconfigpage.cpp
    exportwizard.cpp
    outputstylewidget.cpp
    outputwidget.cpp
    plugin.qrc
)

kcoreaddons_desktop_to_json(katesqlplugin katesql.desktop)
install(TARGETS katesqlplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/konsole/CMakeLists.txt ===
if(WIN32)
  return()
endif()

add_library(katekonsoleplugin MODULE "")
target_compile_definitions(katekonsoleplugin PRIVATE TRANSLATION_DOMAIN="katekonsoleplugin")
target_link_libraries(katekonsoleplugin PRIVATE KF5::TextEditor)

target_sources(
  katekonsoleplugin 
  PRIVATE
    kateconsole.cpp 
    plugin.qrc
)

kcoreaddons_desktop_to_json(katekonsoleplugin katekonsoleplugin.desktop)
install(TARGETS katekonsoleplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/lspclient/CMakeLists.txt ===
find_package(KF5ItemModels ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5ItemModels PROPERTIES PURPOSE "Required to build the lspclient addon")

find_package(KF5SyntaxHighlighting ${KF5_DEP_VERSION} QUIET)
set_package_properties(KF5SyntaxHighlighting PROPERTIES PURPOSE "Required to build the lspclient addon")

if(NOT KF5ItemModels_FOUND OR NOT KF5SyntaxHighlighting_FOUND)
  return()
endif()

add_library(lspclientplugin MODULE "")
target_compile_definitions(lspclientplugin PRIVATE TRANSLATION_DOMAIN="lspclient")

ki18n_wrap_ui(UI_SOURCES lspconfigwidget.ui)

target_link_libraries(
  lspclientplugin
  PRIVATE
    KF5::ItemModels
    KF5::TextEditor
    KF5::SyntaxHighlighting
)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER lspclient_debug.h
  IDENTIFIER LSPCLIENT
  CATEGORY_NAME "katelspclientplugin"
)
target_sources(lspclientplugin PRIVATE ${DEBUG_SOURCES})

target_sources(
  lspclientplugin
  PRIVATE
    lspclientcompletion.cpp
    lspclientconfigpage.cpp
    lspclienthover.cpp
    lspclientplugin.cpp
    lspclientpluginview.cpp
    lspclientserver.cpp
    lspclientservermanager.cpp
    lspclientsymbolview.cpp
    plugin.qrc
    ${UI_SOURCES}
)

kcoreaddons_desktop_to_json(lspclientplugin lspclientplugin.desktop)
install(TARGETS lspclientplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

if(BUILD_TESTING)
  add_subdirectory(tests)
endif()

=== addons/openheader/CMakeLists.txt ===
add_library(kateopenheaderplugin MODULE "")
target_compile_definitions(kateopenheaderplugin PRIVATE TRANSLATION_DOMAIN="kateopenheader")
target_link_libraries(kateopenheaderplugin PRIVATE KF5::TextEditor)

target_sources(
  kateopenheaderplugin 
  PRIVATE
    plugin_kateopenheader.cpp 
    plugin.qrc
)

kcoreaddons_desktop_to_json(kateopenheaderplugin kateopenheaderplugin.desktop)
install(TARGETS kateopenheaderplugin DESTINATION ${PLUGIN_INSTALL_DIR}/ktexteditor)

=== addons/preview/CMakeLists.txt ===
add_library(ktexteditorpreviewplugin MODULE "")
target_compile_definitions(ktexteditorpreviewplugin PRIVATE TRANSLATION_DOMAIN="ktexteditorpreviewplugin")
target_link_libraries(ktexteditorpreviewplugin PRIVATE KF5::TextEditor)

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(
  DEBUG_SOURCES
  HEADER ktexteditorpreview_debug.h
  IDENTIFIER KTEPREVIEW
  CATEGORY_NAME "ktexteditorpreviewplugin"
)
target_sources(ktexteditorpreviewplugin PRIVATE ${DEBUG_SOURCES})

target_sources(
  ktexteditorpreviewplugin
  PRIVATE
    ktexteditorpreviewplugin.cpp
    ktexteditorpreviewview.cpp
    previewwidget.cpp
    kpartview.cpp
)

install(TARGETS ktexteditorpreviewplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/ktexteditor)

=== debian/changelog ===
kate (4:20.12.2-1) unstable; urgency=medium

  * New upstream release (20.12.2): only translation updates.
  * Update uploaders:
    - Remove Modestas and Max from uploaders, thanks for your work.
    - Add myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Fri, 12 Feb 2021 19:49:39 +0900

kate (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Dec 2020 00:25:10 +0900

kate (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * Use more concise URL for upstream Bug-Database metadata.
  * New upstream release (20.08.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 11:24:55 +0100

kate (4:20.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (20.08.2).
  * Drop overrides for postinst-must-call-ldconfig removed from lintian.
  * Update the build dependencies according to the upstream build system:
    - add kuserfeedback-dev
  * Review copyright information.
  * Remove l10n migration rules, not required anymore after 2 stable releases.
  * Remove older breaks / replaces against KDE4 packages.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 27 Oct 2020 15:15:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Modestas Vainius <modax@debian.org>,
-           Sune Vuorela <sune@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Sune Vuorela <sune@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.40.0~),
                gettext,
                kinit-dev (>= 5.6.0~),
+               kuserfeedback-dev,
                libkf5activities-dev (>= 5.40.0~),
                libkf5config-dev (>= 5.40.0~),
                libkf5crash-dev (>= 5.40.0~),
                libkf5dbusaddons-dev (>= 5.40.0~),
-               libkf5doctools-dev (>= 5.10.0~),
+               libkf5doctools-dev (>= 5.40.0~),
                libkf5guiaddons-dev (>= 5.40.0~),
                libkf5i18n-dev (>= 5.40.0~),
                libkf5iconthemes-dev (>= 5.40.0~),
@@ -33,8 +33,8 @@
                libkf5xmlgui-dev (>= 5.40.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.10.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~)
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kate
@@ -50,9 +50,15 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Recommends: sonnet-plugins
-Suggests: khelpcenter, konsole-kpart, git, subversion, mercurial, darcs, exuberant-ctags
+Suggests: darcs,
+          exuberant-ctags,
+          git,
+          khelpcenter,
+          konsole-kpart,
+          mercurial,
+          subversion
 Description: powerful text editor
  Kate is a powerful text editor that can open multiple files simultaneously.
  .
@@ -71,8 +77,8 @@
 Package: kate5-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
-Breaks: kate (<< 4:17.08.3-3~), kate-data (<< 4:4.14.3-0ubuntu4), ${kde-l10n:all}
+Replaces: kate (<< 4:17.08.3-3~)
+Breaks: kate (<< 4:17.08.3-3~)
 Description: shared data files for Kate text editor
  This package contains the architecture-independent shared data files needed
  for Kate editor
@@ -81,8 +87,8 @@
 Section: editors
 Architecture: any
 Depends: ktexteditor-katepart, ${misc:Depends}, ${shlibs:Depends}
-Breaks: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
-Replaces: kate5-data (<< 4:17.08.3-3~), ${kde-l10n:all}
+Breaks: kate5-data (<< 4:17.08.3-3~)
+Replaces: kate5-data (<< 4:17.08.3-3~)
 Description: simple text editor
  KWrite is a simple text editor built on the KDE Platform. It uses the Kate
  editor component, so it supports powerful features such as flexible syntax

## kate 20.12.3

=== debian/changelog ===
kate (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:17:05 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5xmlgui-dev (>= 5.40.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.10.0~)
+               qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://kate-editor.org/

## kate 21.08.1

=== debian/changelog ===
kate (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Fri, 03 Sep 2021 15:05:37 +0900

kate (4:21.08.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Fix list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Fri, 20 Aug 2021 16:16:36 +0200

kate (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Fix list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 18 Aug 2021 08:32:01 +0900

kate (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:07:38 +0900

kate (4:21.04.2-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.2).

 -- Norbert Preining <norbert@preining.info>  Thu, 10 Jun 2021 19:27:40 +0900

kate (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 05:52:33 +0900

kate (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update Maintainer entry - drop Kubuntu
  * Update dependencies from CMakeList.txt

 -- Norbert Preining <norbert@preining.info>  Fri, 23 Apr 2021 10:03:00 +0900

## kate 21.08.2

=== debian/changelog ===
kate (4:21.08.2-1deepin0) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * update

  [ Tianyu Chen ]
  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:50:36 +0800

kate (4:21.08.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.2).

 -- Norbert Preining <norbert@preining.info>  Fri, 08 Oct 2021 12:53:27 +0900

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
